
/*===============================================================================================================

		ASUpdateArticleUtilities.h
	
        Copyright Apple Computer, Inc. 1992-1993
        All rights reserved

===============================================================================================================*/

#ifndef __ASUPDATEARTICLEUTILITIES__
#define __ASUPDATEARTICLEUTILITIES__

//_______________________________________________________________________________________________________________
//____________________________________________________ INCLUDES _________________________________________________
//_______________________________________________________________________________________________________________

#ifndef __ASUPDATETYPES__
#include "ASUpdateTypes.h"
#endif												

#ifndef __ASUPDATECONSTANTS__
#include "ASUpdateConstants.h"
#endif												

#ifndef __ASUPDATEDCUTILITIES__
#include "ASUpdateDCUtilities.h"
#endif												

//_______________________________________________________________________________________________________________
//_____________________________________________________ STRUCTS _________________________________________________
//_______________________________________________________________________________________________________________

struct ASUArticleHeader {
	ASUDataSize		articleHeaderSize;
	ASUDataSize		articleDataSize;
	ASUArticleType	articleType;
	ASUArticleDate	articleDateTime;
	long			userBytes;
	char*			articleTitle;
	char*			articleSource;
};
typedef struct ASUArticleHeader ASUArticleHeader, *ASUArticleHeaderPtr;

//_______________________________________________________________________________________________________________
//_______________________________________________ FUNCTION PROTOTYPES ___________________________________________
//_______________________________________________________________________________________________________________
#ifdef __cplusplus
extern "C" {
#endif

OSErr	ASUAddArticle( short refnum, ASUArticleHeader* info, ASUDataSize count, Ptr buffer, ASUDCPtr *dc );
OSErr	ASUDeleteArticle( short refnum, ASUDCPtr dc );

OSErr	ASUReadArticleHeader( short refnum, ASUDCPtr dc, ASUArticleHeader* info );
OSErr	ASUWriteArticleHeader( short refnum, ASUDCPtr dc, ASUArticleHeader* info );

OSErr	ASUReadArticleData( short refnum, ASUDCPtr dc, Ptr buffer );
OSErr	ASUReadPartialArticleData( short refnum, ASUDCPtr dc, ASUOffset start, ASUDataSize* count, Ptr buffer );
OSErr	ASUWriteArticleData( short refnum, ASUDCPtr dc, ASUOffset start, ASUDataSize count, Ptr buffer );

//_______________________________________________________________________________________________________________

OSErr	ASUCountArticles( short refnum, ASUCount* count );
OSErr	ASUFindArticle( short refnum, ASUDCPtr start, ASUDCPtr *dc );

OSErr	ASUGetArticleSize( short refnum, ASUDCPtr dc, ASUDataSize* size );
OSErr	ASUGetArticleType( short refnum, ASUDCPtr dc, ASUArticleType* type );
OSErr	ASUGetArticleUserBytes( short refnum, ASUDCPtr dc, long* userBytes );

//_______________________________________________________________________________________________________________
// Misc. calls

OSErr	ASUDisposeArticleHeader( ASUArticleHeader* info );

//_______________________________________________________________________________________________________________

#ifdef __cplusplus
}
#endif

#endif															// __ASUPDATEARTICLEUTILITIES__