
/*===============================================================================================================

		ASUpdateConstants.h
	
        Copyright Apple Computer, Inc. 1992-1993
        All rights reserved

===============================================================================================================*/

#ifndef __ASUPDATECONSTANTS__
#define __ASUPDATECONSTANTS__

//_______________________________________________________________________________________________________________
//____________________________________________________ INCLUDES _________________________________________________
//_______________________________________________________________________________________________________________

#ifndef __ASUPDATETYPES__
#include "ASUpdateTypes.h"
#endif															// __NPTYPES__

//_______________________________________________________________________________________________________________
//____________________________________________________ CONSTANTS ________________________________________________
//_______________________________________________________________________________________________________________
// General constants

const OSType		kAppleSearchUpdateFileType			= 'BGNP';		// file type for AppleSearch compatible update
const OSType		kAppleSearchPartialUpdateFileType	= 'BGPP';		// file type for update that are being built

//_______________________________________________________________________________________________________________
// Constants for newspaper types

const ASUType kAppleSearchTextUpdate 				= 'NP01';
const ASUType kAppleSearchStyledUpdate	 			= 'NP02';
const ASUType kAppleSearchMultimediaUpdate	 		= 'NP03';

//_______________________________________________________________________________________________________________
// Constants for article types

const ASUArticleType kTextArticleItem				= 'TEXT';
const ASUArticleType kHighlightedTextArticleItem	= 'HTXT';
const ASUArticleType kStyledTextArticleItem			= 'STXT';
const ASUArticleType kFixedWidthTextArticleItem		= 'FWTX';
const ASUArticleType kFixedHeightTextArticleItem	= 'FHTX';
const ASUArticleType kFixedSizeTextArticleItem		= 'FSTX';
const ASUArticleType kPICTArticleItem				= 'PICT';
const ASUArticleType kTIFFArticleItem				= 'TIFF';
const ASUArticleType kAcrobatArticleItem			= 'ACBT';
const ASUArticleType kAnnotatedArticleItem			= 'ANTD';
const ASUArticleType kQuickTimeArticleItem			= 'QTIM';
const ASUArticleType kSoundArticleItem				= 'SND ';
const ASUArticleType kCompoundArticleItem			= 'CMPD';

//_______________________________________________________________________________________________________________
// Constants for data containers

const ASUDCType		ASUDCTypeArticle			= 'ARTL';
const ASUDCType		ASUDCTypeFileHeader			= 'FHDR';
const ASUDCType		ASUDCTypeArticleListHeader	= 'ALHD';
const ASUDCType		ASUDCTypeFree				= 'FREE';
const ASUDCType		ASUDCTypeCompressed			= 'COMP';
const ASUDCType		ASUDCTypeWildcard			= '****';


//_______________________________________________________________________________________________________________
// Misc.

const long			kVersion1					= 1;
const ASUDataSize	kVersion1FileHeaderSize		= 16;
const ASUDataSize	kVersion1DCHeaderSize		= 16;


//_______________________________________________________________________________________________________________
// Error codes

const OSErr	kIncompleteUpdateFileErr	= 2201;
const OSErr	kArticleIndexRangeErr		= 2301;

const OSErr	kDataTooLargeErr			= 2401;

const OSErr	kDataContainerNotFoundErr	= 2501;
const OSErr	kOutOfMemoryErr				= 2001;
const OSErr	kNilPtrErr					= 2002;

//_______________________________________________________________________________________________________________


#endif															// __ASUPDATECONSTANTS__