
/*===============================================================================================================

		ASUpdateDCUtilities.h
	
        Copyright Apple Computer, Inc. 1992-1993
        All rights reserved

===============================================================================================================*/

#ifndef __ASUPDATEDCUTILITIES__
#define __ASUPDATEDCUTILITIES__

//_______________________________________________________________________________________________________________
//____________________________________________________ INCLUDES _________________________________________________
//_______________________________________________________________________________________________________________

#include <Files.h>

#ifndef __ASUPDATETYPES__
#include "ASUpdateTypes.h"
#endif												

#ifndef __ASUPDATECONSTANTS__
#include "ASUpdateConstants.h"
#endif												

//_______________________________________________________________________________________________________________
//_____________________________________________________ STRUCTS _________________________________________________
//_______________________________________________________________________________________________________________

struct ASUDCHeader {
	ASUDataSize		dataContainerSize;
	ASUDCType		dataContainerType;
	long			dataContainerID;
	long			userRefCon;
};
typedef struct ASUDCHeader ASUDCHeader, *ASUDCHeaderPtr;

//_______________________________________________________________________________________________________________
//_______________________________________________ FUNCTION PROTOTYPES ___________________________________________
//_______________________________________________________________________________________________________________
#ifdef __cplusplus
extern "C" {
#endif

// read/write routines

OSErr	ASUAddDataContainer( short refnum, ASUDCHeaderPtr info, ASUCount count, Ptr data, ASUDCPtr *dc );
OSErr	ASUDeleteDataContainer( short refnum, ASUDCPtr dc );

OSErr	ASUReadDataContainerHeader( short refnum, ASUDCPtr dc, ASUDCHeaderPtr info );
OSErr	ASUWriteDataContainerHeader( short refnum, ASUDCPtr dc, ASUDCHeaderPtr info );

OSErr	ASUReadDataContainerData( short refnum, ASUDCPtr dc, ASUOffset start, Ptr data, ASUDataSize* size );
OSErr	ASUWriteDataContainerData( short refnum, ASUDCPtr dc, ASUOffset start, Ptr data, ASUDataSize size );

//_______________________________________________________________________________________________________________
// searching routines

OSErr	ASUCountDataContainers( short refnum, ASUDCType type, ASUCount* count );
OSErr	ASUFindDataContainer( short refnum, ASUDCType type, ASUDCPtr start, ASUDCPtr *dc );
OSErr	ASUFindDataContainerByID( short refnum, ASUDCType type, long id, ASUDCPtr start, ASUDCPtr *dc );

OSErr	ASUGetDataContainerSize( short refnum, ASUDCPtr dc, ASUDataSize* size );
OSErr	ASUGetDataContainerType( short refnum, ASUDCPtr dc, ASUDCType* type );
OSErr	ASUGetDataContainerID( short refnum, ASUDCPtr dc, long* id );
OSErr	ASUGetDataContainerUserRefCon( short refnum, ASUDCPtr dc, long* userRefCon );

//_______________________________________________________________________________________________________________
// convenience routines

OSErr	ASUSerializeDataContainerIDs( short refnum, ASUDCType type, ASUCount *count );
OSErr	ASULinkDataContainers( short refnum, ASUDCType type, ASUDCPtr head );

//_______________________________________________________________________________________________________________

#ifdef __cplusplus
}
#endif

#endif															// __NPNEWSPAPERUTILITIES__