
/*===============================================================================================================

		ASUpdateFileUtilities.h
	
        Copyright Apple Computer, Inc. 1992-1993
        All rights reserved

===============================================================================================================*/

#ifndef __ASUPDATEFILEUTILITIES__
#define __ASUPDATEFILEUTILITIES__

//_______________________________________________________________________________________________________________
//____________________________________________________ INCLUDES _________________________________________________
//_______________________________________________________________________________________________________________

#include <Files.h>

#ifndef __ASUPDATETYPES__
#include "ASUpdateTypes.h"
#endif												

#ifndef __ASUPDATECONSTANTS__
#include "ASUpdateConstants.h"
#endif												

//_______________________________________________________________________________________________________________
//_____________________________________________________ STRUCTS _________________________________________________
//_______________________________________________________________________________________________________________

struct ASUUpdateInfo {
	ASUType		updateType;
	long		updateVersion;
};
typedef struct ASUUpdateInfo ASUUpdateInfo, *ASUUpdateInfoPtr;

//_______________________________________________________________________________________________________________
//_______________________________________________ FUNCTION PROTOTYPES ___________________________________________
//_______________________________________________________________________________________________________________
#ifdef __cplusplus
extern "C" {
#endif

// Update file management

OSErr	ASUCreateUpdateFile( FSSpec* file, OSType creator, ASUType type, long version );
OSErr	ASUOpenUpdateFile( FSSpec* file, short* refnum );
OSErr	ASUCloseUpdateFile( short refnum );

OSErr	ASUCompactUpdateFile( short refnum );

//_______________________________________________________________________________________________________________
// Accessing newspaper info

OSErr	ASUReadUpdateInfo( short refnum, ASUUpdateInfo* header );
OSErr	ASUWriteUpdateInfo( short refnum, ASUUpdateInfo* header );

//_______________________________________________________________________________________________________________

#ifdef __cplusplus
}
#endif

#endif															// __ASUPDATEFILEUTILITIES__