
/*===============================================================================================================

		ASUpdateTypes.h
	
        Copyright Apple Computer, Inc. 1992-1993
        All rights reserved

===============================================================================================================*/

#ifndef __ASUPDATETYPES__
#define __ASUPDATETYPES__

//_______________________________________________________________________________________________________________
//____________________________________________________ INCLUDES _________________________________________________
//_______________________________________________________________________________________________________________

#ifndef __TYPES__
#include <Types.h>
#endif												

//_______________________________________________________________________________________________________________
//______________________________________________________ TYPES __________________________________________________
//_______________________________________________________________________________________________________________
// Newspaper basic types

typedef unsigned long 	ASUOffset;							// relative offset from the file ptr
typedef unsigned long 	ASUDataSize;						// data size
typedef unsigned long 	ASUCount;							// a number of things
typedef	ResType			ASUType;							// newspaper type is a packed array of four chars
typedef	ResType			ASUArticleType;						// article type is also a packed array
typedef	ResType			ASUUpdateType;						// 
typedef ResType			ASUDCType;							// 
typedef ASUOffset		ASUDCPtr;							// ptr to data container

//_______________________________________________________________________________________________________________
//_____________________________________________________ STRUCTS _________________________________________________
//_______________________________________________________________________________________________________________
// Sub-article for compound articles

struct ASUSubArticle {
	ASUDataSize		subArticleDataSize;
	ASUArticleType	subArticleType;
	Ptr				subArticleData;						// ptr to the actual data
};
typedef struct ASUSubArticle ASUSubArticle, *ASUSubArticlePtr;

//_______________________________________________________________________________________________________________
// Compound article

struct ASUCompoundArticle {
	unsigned long		numberOfSubArticles;
	ASUSubArticlePtr	subArticles;						// ptr to a list of sub-articles
};
typedef struct ASUCompoundArticle ASUCompoundArticle, *ASUCompoundArticlePtr;

//_______________________________________________________________________________________________________________
// Date/time data structure used for articles

struct ASUArticleDate {
	short			year;
	short			month;
	short			day;
	short			hour;
	short			minute;
	short			second;
};
typedef struct ASUArticleDate ASUArticleDate, *ASUArticleDatePtr;

//_______________________________________________________________________________________________________________


#endif															// __ASUPDATETYPES__